import { IFiniteAutomaton, InputFiniteAutomaton } from '../types';
import { DeterministicFiniteAutomaton } from './DeterministicFiniteAutomaton';
import { FiniteAutomaton } from './FiniteAutomaton';
export declare class NonDeterministicFiniteAutomaton extends FiniteAutomaton {
    constructor(testLogic: (inputString: string) => boolean, automaton: InputFiniteAutomaton, automatonId?: string);
    convertToRegularNfa(): void;
    epsilonClosureOfState(state: string): string[];
    moveAndEpsilonClosureStateSet(states: string[], symbol: string): string[];
    convertToDeterministicFiniteAutomaton(dfaOptions: Partial<Pick<Pick<IFiniteAutomaton, 'automaton'>['automaton'], 'label' | 'description'> & {
        separator: string;
    }>): DeterministicFiniteAutomaton;
}
